
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>转：iOS9的新特性以及适配方案 / 憋错料</title>

    <meta name="description" content="转：iOS9的新特性以及适配方案 2015年9月8日,苹果宣布iOS 9操作系统的正式版在太平洋时间9月16日正式推出,北京时间9月17日凌晨1点推送. 新的iOS 9系统比iOS8更稳定,功能更全面,而且还更加开放.iOS 9加入了更多的新功能,包括更加智能的Siri,新加入的省电模式.iOS 9为开发者提供5000个全新的API.iOS9新的特性 这对于使用者来说固然是一个好消息,每一次版本更新带来的都是更多的便利和更全面的功能,接受新的系统固然会有一些不适应,新的系统也有可能会有一些缺陷,但是至少苹果在不断地更新,让我们体">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">转：iOS9的新特性以及适配方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>2015年9月8日，苹果宣布iOS 9操作系统的正式版在太平洋时间9月16日正式推出，北京时间9月17日凌晨1点推送。</p>
<p>新的iOS 9系统比iOS8更稳定，功能更全面，而且还更加开放。iOS 9加入了更多的新功能，包括更加智能的Siri，新加入的省电模式。iOS 9为开发者提供5000个全新的API。<br /><a href="http://www.apple.com/cn/ios/?cid=wwa-cn-kwb-features" rel="external nofollow noreferrer">iOS9新的特性</a></p>
<p>这对于使用者来说固然是一个好消息,每一次版本更新带来的都是更多的便利和更全面的功能,接受新的系统固然会有一些不适应,新的系统也有可能会有一些缺陷,但是至少苹果在不断地更新,让我们体验更好的产品.</p>
<hr />
<br />然而,对于我们开发者来说,这就不能说是一个好消息了,系统更新迭代,伴随的是我们需要快速的接受新的知识,掌握新的技巧,以及大量的修改我们的工程,不过也没办法,谁让我们是程序员呢,不更新自己就会被科技淘汰,相信很多朋友在这上面被坑过,那么请继续往下看.</p>
<p>步入正题,最近一段时间,我总结了前一段时间遇到的一些伴随新系统出现的问题,经过自己的测试以及网上的资料,同时总结了解决方案.</p>
<p>接下来让我们更新一下我们的知识吧!</p>
<h3>1. 限制HTTP协议,全部改用更安全的HTTPS</h3>
<p>iOS9让所有的HTTP默认使用了HTTPS，原来的HTTP协议传输都改成TLS1.2协议进行传输。直接造成的情况就是App发请求的时候弹出网络无法连接。<br />对于这个问题的解决方案,网上有<a href="http://www.liuchungui.com/blog/2015/10/11/ios9zhi-gua-pei-ats/" rel="external nofollow noreferrer">一篇博客</a>已经总结的很好了,我在这就简要的说明怎么处理这种问题.</p>
<pre><code>HTTPS和HTTP的区别在于哪里呢?
举个简单的栗子:原来的 HTTP 是塑料水管，容易被戳破；那么如今新设计的 HTTPS 就像是在原有的塑料水管之外，
再包一层金属水管。一来，原有的塑料水管照样运行；二来，用金属加固了之后，不容易被戳破。

Apple让你的HTTP采用SSL/TLS协议，就是让你从HTTP转到HTTPS.
不使用SSL/TLS的HTTP通信，就是不加密的通信！

所有信息明文传播，带来了三大风险：
窃听风险（eavesdropping）：第三方可以获知通信内容。
篡改风险（tampering）：第三方可以修改通信内容。
冒充风险（pretending）：第三方可以冒充他人身份参与通信。

SSL/TLS协议是为了解决这三大风险而设计的：
所有信息都是加密传播，第三方无法窃听。
具有校验机制，一旦被篡改，通信双方会立刻发现。
配备身份证书，防止身份被冒充。</code></pre>
<ul>
<li><strong>在 Info.plist 中声明，倒退回不安全的网络请求依然能让App访问指定http，甚至任意的http(苹果不建议这么做)：</strong></li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMTE0OTg0MC03MWRiZDZjNjg3ZDA1NjMyLnBuZz9pbWFnZU1vZ3IyL2F1dG8tb3JpZW50L3N0cmlwJTdDaW1hZ2VWaWV3Mi8yL3cvMTI0MA==.jpg" /></p>
<p>需要添加的节点</p>
<p>NSAppTransportSecurity - NSAllowsArbitraryLoads<br />这个子节点的意思是：是否仍然允许加载？！ 设为YES的话就将禁用了AppTransportSecurity转而使用用户自定义的设置，这个问题就解决了。</p>
<ul>
<li><strong>果断让公司升级HTTPS服务器,保障数据安全,<a href="http://www.liuchungui.com/blog/2015/10/11/ios9zhi-gua-pei-ats/" rel="external nofollow noreferrer">升级方法请点我</a></strong></li>
</ul>
<h3>2. Bitcode</h3>
<p>应该有朋友在真机调试的时候发现在使用微博微信等第三方SDK的时候,会提示报错,</p>
<pre><code>XXXX&rsquo; does not contain bitcode. You must rebuild it with bitcode enabled
(Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor,
 or disable bitcode for this target. for architecture arm64</code></pre>
<p>Xcode默认开启bitcode模式,bitcode的理解应该是把程序编译成的一种过渡代码，然后苹果再把这个过渡代码编译成可执行的程序。bitcode也允许苹果在后期重新优化我们程序的二进制文件，可以直接理解为<strong>APP瘦身</strong>。<br /><strong>解决方式:</strong></p>
<ul>
<li>某些第三方库还不支持bitcode,我们只能等待库的开发者升级了此项功能.(这个是我们所不能掌握的,嘿嘿)</li>
<li>直接禁用bitcode,禁用的方法就是找到如下配置，选为NO.注意:iOS中bitcode是默认YES，watchOS中bitcodes是不让改的必须为YES。<br />
<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMTE0OTg0MC00OWY2OGZhYTlhMmIyODY5LnBuZz9pbWFnZU1vZ3IyL2F1dG8tb3JpZW50L3N0cmlwJTdDaW1hZ2VWaWV3Mi8yL3cvMTI0MA==.jpg" /></p>
<p>选为NO禁用</li>
</ul>
<h3>3. 企业级分发</h3>
<p>在iOS8只是弹出一个窗问你是否需要让手机信任这个应用，但是在iOS9却直接禁止，如果真的想信任需要自己去手动开启。类似于Mac系统从未知开发者处下载的dmg直接打不开，然后要到系统偏好设置的安全性与隐私手动打开。<br />解决方式:</p>
<ul>
<li>设置--&gt;通用---&gt;描述文件 自行添加信任.</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMTE0OTg0MC01MjllZDExMTM5YTgzNDUxLlBORz9pbWFnZU1vZ3IyL2F1dG8tb3JpZW50L3N0cmlwJTdDaW1hZ2VWaWV3Mi8yL3cvMTI0MA==.jpg" /></p>
<p>选择描述文件</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMTE0OTg0MC0zYWM3OGFhOGUzYzI4ZmE1LnBuZz9pbWFnZU1vZ3IyL2F1dG8tb3JpZW50L3N0cmlwJTdDaW1hZ2VWaWV3Mi8yL3cvMTI0MA==.jpg" /></p>
<p>添加信任</p>
<h3>4.&nbsp;<strong>URL scheme</strong></h3>
<p>URL scheme一般使用的场景是应用程序有分享或跳其他平台授权的功能，分享或授权后再跳回来.<br />在iOS8并没有做过多限制，但是iOS9需要将你要在外部调用的URL scheme列为白名单，才可以完成跳转.<br />如果iOS9没做适配 会报如下错误 :</p>
<pre><code>canOpenURL: failed for URL : "[mqzone://qqapp](mqzone://qqapp)"  - error: "This app is not allowed to query for scheme mqzone"</code></pre>
<p>例如在实现第三方登录时,不能直接跳转到相应的app直接获取权限.<br />解决方式为:</p>
<ul>
<li>设置应用白名单 否则不能直接关联上你手机里的应用</p>
<pre><code>在info.plist中加入
&lt;key&gt;LSApplicationQueriesSchemes&lt;/key&gt; &lt;array&gt;
&lt;!-- 微信 URL Scheme 白名单--&gt;
&lt;string&gt;wechat&lt;/string&gt;
&lt;string&gt;weixin&lt;/string&gt;
&lt;!-- 新浪微博 URL Scheme 白名单--&gt;
&lt;string&gt;sinaweibohd&lt;/string&gt;
&lt;string&gt;sinaweibo&lt;/string&gt;
&lt;string&gt;sinaweibosso&lt;/string&gt;
&lt;string&gt;weibosdk&lt;/string&gt;
&lt;string&gt;weibosdk2.5&lt;/string&gt;
&lt;!-- QQ、Qzone URL Scheme 白名单--&gt;
&lt;string&gt;mqqapi&lt;/string&gt;
&lt;string&gt;mqq&lt;/string&gt;
&lt;string&gt;mqqOpensdkSSoLogin&lt;/string&gt;
&lt;string&gt;mqqconnect&lt;/string&gt;
&lt;string&gt;mqqopensdkdataline&lt;/string&gt;
&lt;string&gt;mqqopensdkgrouptribeshare&lt;/string&gt;
&lt;string&gt;mqqopensdkfriend&lt;/string&gt;
&lt;string&gt;mqqopensdkapi&lt;/string&gt;
&lt;string&gt;mqqopensdkapiV2&lt;/string&gt;
&lt;string&gt;mqqopensdkapiV3&lt;/string&gt;
&lt;string&gt;mqzoneopensdk&lt;/string&gt;
&lt;string&gt;wtloginmqq&lt;/string&gt;
&lt;string&gt;wtloginmqq2&lt;/string&gt;
&lt;string&gt;mqqwpa&lt;/string&gt;
&lt;string&gt;mqzone&lt;/string&gt;
&lt;string&gt;mqzonev2&lt;/string&gt;
&lt;string&gt;mqzoneshare&lt;/string&gt;
&lt;string&gt;wtloginqzone&lt;/string&gt;
&lt;string&gt;mqzonewx&lt;/string&gt;
&lt;string&gt;mqzoneopensdkapiV2&lt;/string&gt;
&lt;string&gt;mqzoneopensdkapi19&lt;/string&gt;
&lt;string&gt;mqzoneopensdkapi&lt;/string&gt;
&lt;string&gt;mqzoneopensdk&lt;/string&gt;
&lt;!-- 支付宝  URL Scheme 白名单--&gt;
&lt;string&gt;alipay&lt;/string&gt;
&lt;string&gt;alipayshare&lt;/string&gt;&lt;/array&gt;</code></pre>
</li>
</ul>
<h3>5.&nbsp;<strong>statusbar</strong></h3>
<p>以前我们为了能够实时的控制顶部statusbar的样式，可能会在喜欢使用</p>
<pre><code>[[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleLightContent]
[[UIApplication sharedApplication]setStatusBarHidden:YES];</code></pre>
<p>但是这么做之前需要将 info.plist 里面加上View controller-based status bar appearance BOOL值设为NO，就是把控制器控制状态栏的权限给禁了，用UIApplication来控制。<br />但是这种做法在iOS9不建议使用了，建议我们使用把那个BOOL值设为YES，然后用控制器的方法来管理状态栏比如。</p>
<pre><code>- (UIStatusBarStyle)preferredStatusBarStyle
{
    return UIStatusBarStyleLightContent;
}</code></pre>
<h3>6. 字体</h3>
<p>iOS9中，中文系统字体变为了专为中国设计的&ldquo;苹方&rdquo;,字体有轻微的加粗效果，并且最关键的是字体间隙变大了！<br />所以很多原本写死了width的label可能会出现&ldquo;...&rdquo;的情况。<br /><strong>包括在很多时候我们自动计算行高行宽的时候出现偏差,导致一些不可知的错误</strong><br />解决方式:</p>
<pre><code>CGSize size = [title sizeWithAttributes:@{NSFontAttributeName: [UIFont systemFontOfSize:14.0f]}];
CGSize adjustedSize = CGSizeMake(ceilf(size.width), ceilf(size.height));</code></pre>
<p>加上向上取整 ceilf()就能解决了.</p>
<h3>7. AFNetworking</h3>
<p>为了迎合iOS新版本的升级, AFNetworking在3.0版本中删除了基于 NSURLConnection API的所有支持。如果你的项目以前使用过这些API，建议立即升级到基于 NSURLSession 的API的AFNetworking的版本。<br />具体解决方案我将会过几天在另一篇文章中详细说明,关于<strong>AFNetworking 3.0的迁移</strong>,如果有感兴趣的朋友可以关注我的简书更新.</p>
<p>以上就是我所总结的有关于iOS9的新特性以及适配方案,可能还会有一些遗漏或者错误的地方,欢迎大家指出和补充,知识只有交流才能进步,让我们一起成长,一起学习,一起提高自己!</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:01:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>转：iOS9的新特性以及适配方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l9qDE3.html" rel="bookmark">iOS9的新特性以及适配方案-----转载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年9月8日,苹果宣布iOS 9操作系统的正式版在太平洋时间9月16日正式推出,北京时间9月17日凌晨1点推送. 新的iOS 9系统比iOS8更稳定,功能更全面,而且还更加开放.iOS 9加入了更多的新功能,包括更加智能的Siri,新加入的省电模式.iOS 9为开发者提供5000个全新的API.iOS9新的特性 这对于使用者来说固然是一个好消息,每一次版本更新带来的都是更多的便利和更全面的功能,接受新的系统固然会有一些不适应,新的系统也有可能会有一些缺陷,但是至少苹果在不断地更新,让我们体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dzDa94.html" rel="bookmark">iOS9的新特性以及适配方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 限制HTTP协议,全部改用更安全的HTTPS iOS9让所有的HTTP默认使用了HTTPS,原来的HTTP协议传输都改成TLS1.2协议进行传输.直接造成的情况就是App发请求的时候弹出网络无法连接.对于这个问题的解决方案,网上有一篇博客已经总结的很好了,我在这就简要的说明怎么处理这种问题. HTTPS和HTTP的区别在于哪里呢? 举个简单的栗子:原来的 HTTP 是塑料水管,容易被戳破:那么如今新设计的 HTTPS 就像是在原有的塑料水管之外, 再包一层金属水管.一来,原有的塑料水管照样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r57gb0.html" rel="bookmark">iOS开发&mdash;&mdash;新特性OC篇&amp;amp&semi;IOS9 SDK新特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS9 SDK新特性 WWDC 2015苹果开发者大会是移动开发者一年一度的盛会,InfoQ中文站除了第一时间整理Keynote内容分享给大家之外,还邀请了资深的一线开发者分享他们的收获.本文为王巍(@onevcat)对WWDC上透露的iOS 9 SDK新特性的总结,分享给广大的iOS开发者. 年年岁岁花相似,岁岁年年人不同.今年的 WWDC 一如既往的热闹,得益于 Apple 的随机抽选机制,这两年有更多的中国开发者有机会亲临现场进行体验,并与全球开发者取得更多的交流.更多的开发者可能只能在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JRrqP4.html" rel="bookmark">iOS开发&mdash;&mdash;新特性OC篇&amp;amp&semi;IOS9 系统新特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IOS9 系统新特性 2015年6月89号凌晨召开的WWDC 2015苹果开发者大会发布了全新的iOS 9系统,PC6小编今天给大家整理了这次iOS9的系统更新带来了哪些新的功能与升级,本次新功能一览,我们分为iOS 9 for iPhone和iOS 9 for iPad两部分来介绍. 一.iOS 9 for iPhone 1.每周收到10亿条指令的Siri,在识别的速度和准确率上都提高了40%,Siri的功能也得到了丰富,可以用来查找图片.视频,也能让它提醒你看完网页上的文章. 2.为了体现智			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qPR750.html" rel="bookmark">初识iOS9 iPad新特性SlideView和SplitView的适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				苹果刚发布了iOS9,在iPad上新增了两个新的特性SlideView和SplitView,前者可以在不关闭当前激活APP的情况下调出来另外个APP以30%比例显示进行操作使用,后者允许同时运行两个APP以50%50%,70%30%比例运行,感觉非常方便. 然而,方便了用户的同时却恶心了开发者,在同一屏幕运行两种APP的时候势必APP显示比例发生改变,那么就需要对几种不同的大小进行处理,好在苹果有Autolayout,并且在iOS8中新增了SizeClass特性,两者结合,可以很好的应付以上各种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rZOkg3.html" rel="bookmark">iOS9新特性及适配教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS9网络适配_ATS:改用更安全的HTTPS(见Demo1)iOS9新特性_更灵活的后台定位(见Demo2)(网址:https://github.com/ChenYilong/iOS9AdaptationTips) WHAT(什么是SSL/TLS?跟HTTP和HTTPS有什么关系) WHY(以前的HTTP不是也能用吗?为什么要用SSL/TLS?Apple是不是又在反人类?) HOW(如何适配?---弱弱地问下:加班要多久?) 第1种情况:HTTPS Only (只有HTTPS,所有情况下都使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JDdz90.html" rel="bookmark">iOS9 collectionView新特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日因为系统升级导致xcode6.系列版本出现bug,于是开始使用xcode7.在使用之余突然想到collectionView在iOS9中发布了一个可以移动cell的新特性,就尝试着将其实现,无奈api文档接口无法查看,只有一些列的api放在那里.于是上网查找,发现国内没有搜索到此类文章,于是FQ继续找,最终找到的竟然都是swift版本,于是将其转换为oc版本以帮助国内需要的朋友学习使用.下面是具体用法: 1.创建collectionView并设置代理 - (UICollectionView *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35l22E0.html" rel="bookmark">ios8新特性屏幕适配之sizeclass</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ios8推出也有一段时间了,由于时间比较紧,所以没去学习ios8的新特性, 随着iphone6,6+的推出,ios屏幕适配是一个大问题,如何成功适配各种尺寸以及ipad呢? 苹果公司为了解决这个问题给出了新技术sizeclass 下面是我对sizeclass学习的一些笔记,希望对大家有用: 1&gt;屏幕适配的发展历程 代码计算frame -&gt; autoreszing(父控件和子控件的关系ios6) -&gt; autolayout(任何控件都可以产生关系ios7) -&gt; sizeclass(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/My5PAVM.html" rel="bookmark">iOS9 开发新特性 Spotlight使用&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.cnblogs.com/jgCho/archive/2015/11/13/4961435.html 1.Spotloight是什么? Spotlight在iOS9上做了一些新的改进, 也就是开放了一些新的API, 通过Core Spotlight Framework你可以在你的app中集成Spotlight.集成Spotlight的App可以在Spotlight中搜索App的内容,并且通过内容打开相关页面. Demo演示 2.如何集成Spotlight a.添加所需要			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0YvOJ3.html" rel="bookmark" class="title">mysql  2</a>
					<div>
						整形 类型名 字节数 取值范围 TINYINT 1 -27 ┈ 27-1 SMALLINT 2 -215 ┈ 215-1 MEDIUMINT 3 -223 ┈ 223-1 INT 4 -231 ┈ 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJeLy3.html" rel="bookmark" class="title">JAVA通信系列三：Netty入门总结</a>
					<div>
						一.Netty学习资料 书籍&lt;Netty In Action中文版&gt; 对于Netty的十一个疑问http://news.cnblogs.com/n/205413/ 深入浅出Nettyhtt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8rOL0.html" rel="bookmark" class="title">QString类的用法</a>
					<div>
						转载于http://www.cnblogs.com/onlycxue/archive/2012/10/30/2746902.html Qt 的QString类的使用 Qt的QString类提供了很方便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRBrD4.html" rel="bookmark" class="title">iOS开发-委托&lpar;Delegate&rpar;浅谈</a>
					<div>
						委托其实并不是OC中才有,C#中也有,不过彼此的理解方式是不一样的,OC中委托是协议的一种,需要使用@protocol声明,委托一般在iOS开发中页面中传值用的比较多.委托是Cocoa中最简单.最灵活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8PJL3.html" rel="bookmark" class="title">经典排序算法回顾：选择排序，快速排序</a>
					<div>
						//选择排序基本思想就是:一个一个最值查找,然后排序 //the simple insertSortWay void selectSort(int *a){ int n = strlen(a); fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdBbYM.html" rel="bookmark" class="title">拖拽生成组织架构</a>
					<div>
						因为项目需要 找了下网上可以拖拽生成组织架构的资料 找到了 jOrgChart这个控件 花半天自己实现了拖拽生成 用的EASYUI Draggable Droppable 当然熟悉 JQUERYUI  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYV75M.html" rel="bookmark" class="title">团队编程项目作业1-需求分析</a>
					<div>
						科学计算器 科学型 计算器--电子计算器的一种.可进行乘方.开方.指数.对数.三角函数.统计等方面的运算,又称函数计算器.目前的计算器有标准型和科学型. &lt;用正则表达式处理字符串,只提取其中的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvOAK0.html" rel="bookmark" class="title">全国城市数据库sql</a>
					<div>
						--下载地址 http://pan.baidu.com/s/1mgsUT4W -- phpMyAdmin SQL Dump -- version 3.4.10.1 -- http://www.phpm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAd5PM.html" rel="bookmark" class="title">PHP的几个常用加密函数</a>
					<div>
						在网站的开发过程中,常常需要对部分数据(如用户密码)进行加密,本文主要介绍PHP的几个常见的加密函数: MD5加密: string md5 ( string $str [, bool $raw_out ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOxaL0.html" rel="bookmark" class="title">U盘安装CentOS 7的方法</a>
					<div>
						安装CentOS7前,我的PC是win7和CentOS6.5的双系统,使用GRUB引导启动.我在CentOS6.5中安装了很多应用软件和服务器软件,并重新编译了高版本的内核.但由于在按自己需求打造li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWxYY3.html" rel="bookmark" class="title">javadoc</a>
					<div>
						使用eclipse生成文档(javadoc)主要有三种方法:  1,在项目列表中按右键,选择Export(导出),然后在Export(导出)对话框中选择java下的javadoc,提交到下一步.  在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7xALM.html" rel="bookmark" class="title">随手小记</a>
					<div>
						一.关于传值: ①在JS中,可以定义全局变量,因其只是在这个页面的全局变量 ②在后台static一定不能用,太影响性能. ③session可以用 ④application一般不要用,容易混乱 ⑤如果要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OnJrX0.html" rel="bookmark" class="title">『TensorFlow』徒手装高达&lowbar;初号机&lowbar;添加训练模组并整合为可用分类网络</a>
					<div>
						摘要: 本次整合了前面两节的模组,并添加向前传播&amp;反馈训练部分,使之成为一个包含训练&amp;验证&amp;测试的分类网络. 文件架构: 代码整合: image_info.py,图片读取部分  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmwkyM.html" rel="bookmark" class="title">python之socket网络编程</a>
					<div>
						socket解释 socekt又称为‘套接字’,用于描述IP和地址端口,是一个通信链路的句柄,应用程序通常通过套接字向网络发出请求或者应答网络请求. socket起源于Unix,所以也遵从“一切皆文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmNbBB0.html" rel="bookmark" class="title">在Mvc中创建WebApi是所遇到的问题</a>
					<div>
						1.提示&quot;The 'ObjectContent`1' type failed to serialize the response body for content type 'applica ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJzyv3.html" rel="bookmark" class="title">点滴拾遗 - 自定义 Format 控制 String&period;Format 行为</a>
					<div>
						点击下载示例代码 String.Format 一重载方法的签名如下 1 public static string Format( 2 IFormatProvider provider, 3 strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myonae3.html" rel="bookmark" class="title">【作业】购物车</a>
					<div>
						购物车程序我的代码组长代码思维导图代码 购物车程序 我的代码 salary = int(input('input your salary:')) shopping_car = [] shopping_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyogWE3.html" rel="bookmark" class="title">图形界面启动的是哪个运行级别？</a>
					<div>
						1. 图形界面启动的是哪个运行级别? 而我们平时用的命令行模式又是哪个运行级别? 除了图形和命令行模式两个常用级别外,其他运行级别代表什么涵义?如何更改系统的运行级别? 答: (1)图形界面运行级别为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MznarOM.html" rel="bookmark" class="title">Docker1&period;12&period;1之swarm集群搭建与使用</a>
					<div>
						1:前言 在docker1.12版本之前,众所周知dokcer本身只能单机上运行,而集群则要依赖mesos.kubernetes.swarm等集群管理方案.其中swarm是docker公司自己的容器集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGRDo3.html" rel="bookmark" class="title">理解了郭德刚说的那句话</a>
					<div>
						老郭说,远离那些动不动让你宽容大度的人,小心雷劈TA的时候你惹火上身.大概意思是这样吧. 开始时,我对我婆婆恨我老公的爷爷奶奶有点不是很理解,因为婆媳关系都有矛盾的,但是自己生了孩子了才理解她为什么那 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
